| ghc-6.10.4: The GHC API | Contents | Index

ForeignCall

Documentation
data ForeignCall

Constructors

CCall CCallSpec |
DNCall DNCallSpec |

Instances

Eq ForeignCall
Outputable ForeignCall
Binary ForeignCall

data Safety

Constructors

PlaySafe Bool |
PlayRisky |

Instances

Eq Safety
Show Safety
Outputable Safety
Binary Safety

playSafe :: Safety -> Bool
playThreadSafe :: Safety -> Bool
data CExportSpec

Constructors

CExportStatic CLabelString CCallConv |

Instances

Outputable CExportSpec
Binary CExportSpec

type CLabelString = FastString
isCLabelString :: CLabelString -> Bool
pprCLabelString :: CLabelString -> SDoc
data CCallSpec

Constructors

CCallSpec CCallTarget CCallConv Safety |

Instances

Eq CCallSpec
Outputable CCallSpec
Binary CCallSpec

data CCallTarget

Constructors

StaticTarget CLabelString |
DynamicTarget |

Instances

Eq CCallTarget
Binary CCallTarget

isDynamicTarget :: CCallTarget -> Bool
data CCallConv

Constructors

CCallConv |
StdCallConv |
CmmCallConv |

Instances

Eq CCallConv
Outputable CCallConv
Binary CCallConv

defaultCCallConv :: CCallConv
ccallConvToInt :: CCallConv -> Int
ccallConvAttribute :: CCallConv -> String
data DNCallSpec

Constructors

DNCallSpec Bool DNKind String String [DNType] DNType |

Instances

Eq DNCallSpec
Outputable DNCallSpec
Binary DNCallSpec

data DNKind

Constructors

DNMethod |
DNField |
DNConstructor |

Instances

Eq DNKind
Binary DNKind

data DNType

Constructors

DNByte |
DNBool |
DNChar |
DNDouble |
DNFloat |
DNInt |
DNInt8 |
DNInt16 |
DNInt32 |
DNInt64 |
DNWord8 |
DNWord16 |
DNWord32 |
DNWord64 |
DNPtr |
DNUnit |
DNObject |
DNString |

Instances

Eq DNType
Binary DNType

withDNTypes :: DNCallSpec -> [DNType] -> DNType -> DNCallSpec
Produced by Haddock version 2.4.2